<!-- Validar registro de un administrador -->
<?php
$nombre = $_POST['nombre'];
$usuario = $_POST['usuario'];
$email = $_POST['email'];
$contraseña = $_POST['contraseña'];
$telefono = $_POST['telefono'];
$extension = $_POST['extension'];
$categoria = $_POST ['categoria'];
$area = $_POST ['area'];
$puesto = $_POST ['puesto'];
$sede = $_POST['sede'];


if(!empty ($nombre) || !empty ($usuario) || !empty ($email) || !empty ($contraseña) || !empty ($telefono) || !empty ($extension) || !empty ($categoria)  || !empty ($area) || !empty ($puesto) || !empty ($sede)){
    $server = "localhost";
    $user = "root";
    $pass = "";
    $db = "control_usuario";
    $con = mysqli_connect($server,$user,$pass,$db);

    if (mysqli_connect_error()) {
        die('connect error('.mysqli_connect_errno().')'.msqli_connect_error());    
    }else{
        $select="SELECT telefono from usuarios where telefono = ? limit 1";
        $insert= "INSERT INTO usuarios (nombre,usuario,email,contraseña,telefono,extension,categoria,area,puesto,sede) VALUES(?,?,?,?,?,?,?,?,?,?)";
        $stmt= $con->prepare($select);
        $stmt-> bind_param("i",$telefono);
        $stmt-> execute();
        $stmt-> bind_result($telefono);
        $stmt-> store_result();
        $rnum= $stmt->num_rows; 
    }

    if ($rnum == 0) {
        $stmt-> close();    
        $stmt= $con->prepare($insert);
        $stmt-> bind_param("ssssssssss",$nombre,$usuario,$email,$contraseña,$telefono,$extension,$categoria,$area,$puesto,$sede);
        $stmt -> execute();
        header('location: login.html');

    }else{
        echo 'Numero ya registrado, por favoy ingresa otro';
        $stmt -> close();
        $con-> close();
    }
    
}else{
    echo"Todos los campos son obligatorios";
    die();
}


?>